BaseArnl: ArServerDrawingDestination Class Reference

- Main Page
- Classes
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# ArServerDrawingDestination Class Reference

`#include <ArServerClasses.h>`

List of all members.

## Detailed Description

This class is for drawing destinations on the screen.

## Public Member Functions
| ArServerDrawingDestination (ArServerInfoDrawings *infoDrawings, ArPathPlanningTask *pathTask, const char *name="destination")
| Constructor.
virtual | ~ArServerDrawingDestination ()
| Destructor.
void | setFlashingParameters (int onMSec=1, int offMSec=0)
| Sets the parameters for the destination to flash (default is just on).
void | setDrawingData (ArDrawingData *drawingData, bool ownDrawingData)
| Sets the drawing data.
void | drawDestination (ArServerClient *client, ArNetPacket *packet)
| the callback to get the data to draw
void | addToConfig (ArConfig *config)
| A call that'll add all the drawing data to the config.

## Constructor & Destructor Documentation

ArServerDrawingDestination::ArServerDrawingDestination | ( | ArServerInfoDrawings * | infoDrawings,
|  | ArPathPlanningTask * | pathTask,
|  | const char * | name = `"destination"` |
| ) |  |  |

Constructor.

Parameters:

  | infoDrawings | the place to add our functor to draw too
  | pathTask | the path planning task to draw the destination of
  | name | the name to use for the drawing

## Member Function Documentation

void ArServerDrawingDestination::setFlashingParameters | ( | int | onMSec = `1`,
|  | int | offMSec = `0` |
| ) |  |  |

Sets the parameters for the destination to flash (default is just on).

Parameters:

  | offMSec | if onMSec and offMSec are both > 0 then the destination will flash on for onMSec and off for offMSec, if offMSec is 0 it'll just stay solid on

void ArServerDrawingDestination::setDrawingData | ( | ArDrawingData * | drawingData,
|  | bool | ownDrawingData |
| ) |  |  |

Sets the drawing data.

Parameters:

  | ownDrawingData | whether this instance owns the drawing data or not